Summary: Firmware for the Intel PRO/Wireless 2200 Driver
Name: ipw2200-firmware
Version: 3.0
Release: %mkrel 2
License: distributable
Group: System/Kernel and hardware
URL: http://ipw2200.sourceforge.net/firmware.php
Source0: http://bughost.org/firmware/ipw2200-fw-2.2.tar.bz2
Source1: http://bughost.org/firmware/ipw2200-fw-2.3.tar.bz2
Source2: http://bughost.org/firmware/ipw2200-fw-2.4.tar.bz2
Source3: http://bughost.org/firmware/ipw2200-fw-3.0.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch

%description
This package contains the firmware for the ipw2200 driver.
Usage of the firmware is subject to the terms contained in
LICENSE.  Please read the license carefully.

Versions 2.2, 2.3, 2.4 and 3.0 are included.

This package is in plf because firmware is not free itself,
it can only be distributed.

%prep
%setup -q -c -a1 -a2 -a3
chmod 0644 LICENSE

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/lib/firmware
install -p */*.fw *.fw %{buildroot}/lib/firmware/
%if %mdkversion <= 200600
mkdir -p %{buildroot}/lib/hotplug/firmware/
cd %{buildroot}/lib/firmware
for file in *.fw; do
  ln -s /lib/firmware/$file %{buildroot}/lib/hotplug/firmware/
done
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc LICENSE
/lib/firmware/*.fw
%if %mdkversion <= 200600
/lib/hotplug/firmware/*.fw
%endif

%changelog
* Thu Mar 23 2006 Pascal Terjan <pterjan@zarb.org> 3.0-2plf
- Fix missing files

* Fri Mar 10 2006 Pascal Terjan <pterjan@zarb.org> 3.0-1plf
- 3.0

* Mon Oct 03 2005 Pascal Terjan <pterjan@zarb.org> 2.4-3plf
- Fix test for 2006.0

* Mon Oct 03 2005 Pascal Terjan <pterjan@zarb.org> 2.4-2plf
- Go into /lib/firmware
- %mkrel
 
* Wed Sep 28 2005 Pascal Terjan <pterjan@zarb.org> 2.4-1plf
- include 2.3 and 2.4 firmwares

* Wed Mar  2 2005 Olivier Blin <blino@zarb.org> 2.2-3plf
- fix again description (Guillaume Rousse)

* Wed Mar  2 2005 Olivier Blin <blino@zarb.org> 2.2-2plf
- fix summary ended with bot
- fix url and description

* Sat Feb 26 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.2-1plf
- 2.2
 
* Fri Aug 20 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.0-1plf
- 1st plf release
